#ifndef _WORLD_MODEL_GRID_3D_G_STRUCT_H_
#define _WORLD_MODEL_GRID_3D_G_STRUCT_H_



typedef struct boxArea
{
	double xStart, yStart, zStart;
	double xEnd, yEnd,zEnd;
}
boxArea;

typedef struct pos
{
	double x, y, theta;
}
pos;

typedef struct imageRange
{
	int startNumber, endNumber;
}
imageRange;

typedef struct vec3
{
	double widthAngle, heightAngle , observableDistance;
}
vec3;

//gridValue elements would be: Free =0, Solid(Obstacle) =1, Unknown =2, Hidden=3
typedef struct map3D
{
	boxArea map3DBoxArea;
	int nbOfGridX,nbOfGridY,nbOfGridZ;
	double map3DResolution;
	char gridvalue[1000000];
}
map3D;

typedef struct fileNameAddress
{
	char name[256];
}
fileNameAddress;

typedef struct exportSetting
{
        int exportMode;
	fileNameAddress exportAddrees;
}
exportSetting;

typedef struct WORLD_MODEL_GRID3D_POSTER_NAME
{
	char name[256];
}
WORLD_MODEL_GRID3D_POSTER_NAME;

#endif
